
From: Tom Rini <trini@kernel.crashing.org>

The following patch fixes a typo which was introduced in the great SPRN_
renaming.

Signed-off-by: Pantelis Antoniou <panto@intracom.gr>
Signed-off-by: Tom Rini <trini@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/kernel/head_8xx.S |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc/kernel/head_8xx.S~ppc32-8xx-typo-fix arch/ppc/kernel/head_8xx.S
--- 25/arch/ppc/kernel/head_8xx.S~ppc32-8xx-typo-fix	Thu Mar 24 15:31:08 2005
+++ 25-akpm/arch/ppc/kernel/head_8xx.S	Thu Mar 24 15:31:08 2005
@@ -307,7 +307,7 @@ InstructionTLBMiss:
 	stw	r11, 4(r0)
 	mfspr	r10, SPRN_SRR0	/* Get effective address of fault */
 	DO_8xx_CPU6(0x3780, r3)
-	mtspr	SPRN_MD_EPN, r1	/* Have to use MD_EPN for walk, MI_EPN can't */
+	mtspr	SPRN_MD_EPN, r10	/* Have to use MD_EPN for walk, MI_EPN can't */
 	mfspr	r10, SPRN_M_TWB	/* Get level 1 table entry address */
 
 	/* If we are faulting a kernel address, we have to use the
_
